export enum EnterpriseMaterialTypeEnum {
  /**
   *  四流合一
   */
  FourStreams = 10,
  /**
   *  完税材料
   */
  Dutiable = 11,
  /**
   *  其它材料
   */
  Other = 20,
}

export const EnterpriseMaterialTypeEnumText = {
  [EnterpriseMaterialTypeEnum.FourStreams]: '四流合一',
  [EnterpriseMaterialTypeEnum.Dutiable]: '完税材料',
  [EnterpriseMaterialTypeEnum.Other]: '其它材料',
};

/**
 * 0-199为四流材料 200-300为完税材料
 */
export enum EnterpriseMaterialFileBusinessTypeEnum {
  /**
   * 工资表
   */
  PayRoll = 10,
  /**
   * 银行流水
   */
  BankFlow = 20,
  /**
   * 人员信息表
   */
  Information = 30,
  /**
   * 工资薪金所得
   */
  Salary = 40,
  /**
   * 代发明细
   */
  DistributionDetails = 50,
  /**
   * 发票
   */
  Invoice = 60,
  /**
   * 劳动合同
   */
  LaborContract = 70,
  /**
   * 业务合同
   */
  BussinessContract = 80,
  /**
   * 劳动合同汇总表
   */
  LaborContractSummary = 90,
  /**
   * 离职证明
   */
  LeavingCertificate = 100,
  /**
   * 开票明细表
   */
  InvoicingSchedule = 110,
  /**
   * 所得税证明
   */
  IncomeTaxCertificate = 200,
  /**
   * 增值及附加税证明
   */
  AdditionalTaxCertificate = 210,
  /**
   * 开票明细文件
   */
  BillingDetails = 220,
  /**
   * 其他材料
   */
  Other = 999,
}

export const EnterpriseMaterialFileBusinessTypeEnumText = {
  [EnterpriseMaterialFileBusinessTypeEnum.PayRoll]: '工资表',
  [EnterpriseMaterialFileBusinessTypeEnum.BankFlow]: '银行流水',
  [EnterpriseMaterialFileBusinessTypeEnum.Information]: '人员信息表',
  [EnterpriseMaterialFileBusinessTypeEnum.Salary]: '工资薪金所得',
  [EnterpriseMaterialFileBusinessTypeEnum.DistributionDetails]: '代发明细',
  [EnterpriseMaterialFileBusinessTypeEnum.Invoice]: '发票',
  [EnterpriseMaterialFileBusinessTypeEnum.LaborContract]: '劳动合同',
  [EnterpriseMaterialFileBusinessTypeEnum.BussinessContract]: '业务合同',
  [EnterpriseMaterialFileBusinessTypeEnum.LaborContractSummary]: '劳动合同汇总表',
  [EnterpriseMaterialFileBusinessTypeEnum.LeavingCertificate]: '离职证明',
  [EnterpriseMaterialFileBusinessTypeEnum.InvoicingSchedule]: '开票明细表',
};

export const DutiableFileBusinessTypeEnumText = {
  [EnterpriseMaterialFileBusinessTypeEnum.IncomeTaxCertificate]: '所得税证明',
  [EnterpriseMaterialFileBusinessTypeEnum.AdditionalTaxCertificate]: '增值及附加税证明',
  [EnterpriseMaterialFileBusinessTypeEnum.BillingDetails]: '开票明细文件',
};

export const AllEnterpriseMaterialFileBusinessTypeEnumText = {
  ...EnterpriseMaterialFileBusinessTypeEnumText,
  ...DutiableFileBusinessTypeEnumText,
};
